#!/bin/sh

if which gksu 1>/dev/null 2>&1 ; then
  GUI_SU=$(which gksu)
  GUI_SU_OPTS="-S"
elif which ktsuss 1>/dev/null 2>&1 ; then
  GUI_SU=$(which ktsuss)
  GUI_SU_OPTS=""
elif which kdesu 1>/dev/null 2>&1 ; then
  GUI_SU=$(which kdesu)
  GUI_SU_OPTS=""
else
  notify-send -i @ICONPATH@/wifi-radar.png -u critical \
    "No GUI su program" "wifi-radar is unable to find a graphical su program."
  exit 1
fi

exec $GUI_SU $GUI_SU_OPTS "$@"

